package test.remoteinvocation.services;

import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.inject.Inject;
import test.remoteinvocation.contracts.Service;

@Stateless(name = "HelloService")
@Remote(Service.class)
public class HelloService implements Service {

    @Inject
    private TimeService timeService;

    @Override
    public String handleRequest() {
        return "Hello: " + timeService.getTime();
    }

}
