package tds.dimatestproject.controller.main;

import javax.inject.Named;
import javax.enterprise.context.SessionScoped;
import java.io.Serializable;
import javax.inject.Inject;

@Named(value = "catcher")
@SessionScoped
public class CallerController implements Serializable {

    @Inject
    private ServiceProvider provider;

    private String value = "";

    public String getValue() {
        return value;
    }

    public void callService() {
        int i = 0;
        String result = "";
        try {
            for (; i < 5; i++) {
                System.out.println("begin call: i = " + i);
                String response = provider.getService().handleRequest();
                System.out.println(response);
                System.out.println("end call");
                result += response;
            }
        } catch (Exception ex) {
            System.out.println(ex.getMessage());
            System.out.println("end call");
            result += ex.getMessage();
        }
        this.value = result;
    }
}
